Package: org.codehaus.groovy.antlr

## [Java] Class UnicodeLexerSharedInputState

- org.codehaus.groovy.antlr.UnicodeLexerSharedInputState

- GRECLIPSE-805 Support for unicode escape sequences

  Authors:
    Andrew Eisenberg

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class LexerSharedInputState` | `guessing`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UnicodeLexerSharedInputState (UnicodeEscapingReader in)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `getColumn()`
    `int` | `getTokenStartColumn()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LexerSharedInputState` | `getLine, getFilename, getTokenStartColumn, getTokenStartLine, getColumn, getInput, reset, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public UnicodeLexerSharedInputState(UnicodeEscapingReader in)

  - ### Method Detail

    - #### @Override public int getColumn()

    - #### @Override public int getTokenStartColumn()